function buttonLogin_Click() {
    var data = {
		'action': 'eeve_backoffice_webchat',
		'operation': 'login',
        'eeve_user_login': jQuery('#textEMail_Value').val(),
        'eeve_user_password': jQuery('#textPassword_Value').val()
	};
	// We can also pass the url value separately from ajaxurl for front end AJAX implementations
	jQuery.post(ajax_object.ajax_url, data, function(response) {
        if (response.startsWith('ok_')) {
            alert('Log-In completed with success');

            jQuery('#textEMail_Label').hide();
            jQuery('#textEMail_Value').hide();
            jQuery('#textPassword_Label').hide();
            jQuery('#textPassword_Value').hide();
            jQuery('#textIdCustomer_Label').show();
            jQuery('#textIdCustomer_Value').show();
            jQuery('#textIdCustomer_Value').html(response.replace('ok_', ''));
            jQuery('#buttonLogin').hide();
            jQuery('#buttonLogout').show();
        } else {
            alert('Error - Contact EEVE');
        }
	});
}

function buttonLogout_Click() {
    var data = {
		'action': 'eeve_backoffice_webchat',
		'operation': 'logout'
	};
	// We can also pass the url value separately from ajaxurl for front end AJAX implementations
	jQuery.post(ajax_object.ajax_url, data, function(response) {
        if (response == 'ok') {
            alert('Log-Out completed with success');

            jQuery('#textEMail_Label').show();
            jQuery('#textEMail_Value').show();
            jQuery('#textPassword_Label').show();
            jQuery('#textPassword_Value').show();
            jQuery('#textIdCustomer_Label').hide();
            jQuery('#textIdCustomer_Value').hide();
            jQuery('#textIdCustomer_Value').html('');
            jQuery('#buttonLogin').show();
            jQuery('#buttonLogout').hide();
        } else {
            alert('Error - Contact EEVE');
        }
	});
}

jQuery(document).ready(function($){
    $('#buttonLogin').bind('click', buttonLogin_Click);
    $('#buttonLogout').bind('click', buttonLogout_Click);
});